## lpe 1.2.6.11

=== debian/changelog ===
lpe (1.2.6.11) unstable; urgency=low

  * Fix-up backup creation such that the backup is a *copy* of the original
    and the original is still clobbered

 -- Adam Majer <adamm@galacticasoftware.com>  Fri, 23 Jul 2004 17:05:13 -0500

lpe (1.2.6.10) unstable; urgency=low

  * Updated libtool, automake, and autoconf files.
  * Changed to Debian source since upstream is not maintaining lpe anymore.
  * Added a patch from Mark Glines <mark@glines.org>. Thanks!
  	- buffer.c: Creates a backup file during save so that the file is not
		    destroyed if save fails.

 -- Adam Majer <adamm@galacticasoftware.com>  Mon, 19 Jul 2004 16:33:42 -0500

lpe (1.2.6-9) unstable; urgency=low

  * Overdue patch by Mark Glines <mark@glines.org>. Thanks!
      - minibuf.c: Fix a segfault when the filename is too long and squeezes
                   out a Search: prompt, in the statusbar
      - cfg-core.c: Fixed a malloc so it allocates sizeof(LpeOption), not
                   sizeof(a pointer)
      - gotoline.diff: Fix so the goto-line stuff works properly for
                   target lines less than 12
      - lpe.c: Allocate extra byte for a string's trailing null
  * Updated standards to 3.6.1
  * Fixed the infamous backspace/del fiasco by reading the term data from
    terminfo database (closes: #156767)

 -- Adam Majer <adamm@galacticasoftware.com>  Wed, 15 Oct 2003 18:26:00 -0500

lpe (1.2.6-8) unstable; urgency=low

  * Removed menu listing since it is as useless as listing vi would be.
  * Added .gtml extention to the supported HTML files

 -- Adam Majer <adamm@galacticasoftware.com>  Wed,  6 Mar 2002 17:34:35 -0600

lpe (1.2.6-7) unstable; urgency=low

  * Fixed unnecassary build-depends -- my fault!
  * updated config.sub and config.guess
  * built-dep on libtool so new one is used during build

 -- Adam Majer <adamm@galacticasoftware.com>  Mon, 31 Dec 2001 14:33:11 -0600

lpe (1.2.6-6) unstable; urgency=low

  * Rebuilt with correct permissions. Otherwise unchanged from the
    previous version.

 -- Gergely Nagy <algernon@debian.org>  Sat, 27 Oct 2001 00:57:46 +0200

lpe (1.2.6-5) unstable; urgency=low

  * Fixes seg faults when trying to change buffers in Help menu
  * Fixes the "lost buffer" thing when trying to open a new buffer from help menu
  * Added the removal of autogenerated (configure, etc..) to debian/rules clean
    as to make the source diff much smaller
  * Added installation of copyright file (was missing)
  * Added LPE URLs to copyright file
  * New Maintainer (Closes: #115208)	

 -- Adam Majer <adamm@galacticasoftware.com>  Thu, 18 Oct 2001 21:39:27 -0500

lpe (1.2.6-4) unstable; urgency=low

  * The `Donkey-Kong should hit my head' release
  * Removed dh_testdir from debian/rules, how did I miss that one?
    (Closes: #114131)

 -- Gergely Nagy <algernon@debian.org>  Tue,  2 Oct 2001 18:13:29 +0200

lpe (1.2.6-3) unstable; urgency=low

  * Added missing build-depends on gettext (Closes: #114024)

 -- Gergely Nagy <algernon@debian.org>  Mon,  1 Oct 2001 18:47:39 +0200

lpe (1.2.6-2) unstable; urgency=low

  * Repackaged without debhelper
  * For the sake of easier maintainance, update libtool and the rest of
    the autotool scripts from debian/rules

 -- Gergely Nagy <algernon@debian.org>  Sun, 30 Sep 2001 14:02:01 +0200

lpe (1.2.6-1) unstable; urgency=low

  * New upstream version
  * Shipping with a go-to-line patch from Mark Glines <mark@glines.org>
  * Bumped Standards-Version to 3.5.6
  * Added build-dependency on patch

 -- Gergely Nagy <algernon@debian.org>  Tue, 25 Sep 2001 16:22:13 +0200

lpe (1.2.5-5) unstable; urgency=low

  * Removed bogus dh_installmanpages call, as the manpages are
  properly installed by the upstream makefile. This removes the
  translated manpages from /usr/share/man/man1. (Closes: #100868)
  * merged debian patch 06 and 07

 -- Gergely Nagy <algernon@debian.org>  Fri, 15 Jun 2001 17:05:59 +0200

lpe (1.2.5-4) unstable; urgency=low

  * Fixed silly error in postinst, so lpe is installable again
  (Closes: #100852)

 -- Gergely Nagy <algernon@debian.org>  Thu, 14 Jun 2001 16:23:06 +0200

lpe (1.2.5-3) unstable; urgency=low

  * Redid the packaging, the diff should be more cleaner now
  * Tweak around with migrating cz.po to cs.po and the like, this
  one (Closes: Bug#87741)
  * Bumped standards-version to 3.5.4

 -- Gergely Nagy <algernon@debian.org>  Sat,  2 Jun 2001 21:19:08 +0200

lpe (1.2.5-2) unstable; urgency=low

  * Fixed segfault when exiting from the help screen.
  (Closes: Bug#79786)

 -- Gergely Nagy <8@free.bsd.hu>  Sat, 23 Dec 2000 15:11:38 +0100

lpe (1.2.5-1) unstable; urgency=low

  * Initial release.
  * Fixes for the Hurd.

 -- Gergely Nagy <8@free.bsd.hu>  Thu, 16 Nov 2000 13:04:20 +0100
