=== debian/control ===
Source: lpe
Section: editors
Priority: optional
Maintainer: Adam Majer <adamm@galacticasoftware.com>
Standards-Version: 3.6.1
Build-Depends: slang1-dev, patch, autotools-dev, gettext, libncurses5-dev

Package: lpe
Architecture: any
Depends: ${shlibs:Depends}
Description: Lightweight Programmer's Editor
 Lpe stands for "lightweight programmer's editor", and is exactly that.
 It is designed to provide at the same time all the features that might
 be required in a decent code editor and a light, intuitive feel that
 makes it a pleasure to work with, making all necessary commands
 accessible as easily as possible.
