## lpe 1.2.6.12

=== debian/changelog ===
lpe (1.2.6.12) unstable; urgency=low

  * Updated build-depends to libslang2 and removed extraneous patch

 -- Adam Majer <adamm@galacticasoftware.com>  Sun, 19 Jun 2005 23:18:30 -0500
