=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Majer <adamm@galacticasoftware.com>
 Standards-Version: 3.6.1
-Build-Depends: slang1-dev, patch, autotools-dev, gettext, libncurses5-dev
+Build-Depends: libslang2-dev, autotools-dev, gettext, libncurses5-dev
 
 Package: lpe
 Architecture: any
