## lpe 1.2.6.13

=== debian/changelog ===
lpe (1.2.6.13) unstable; urgency=low

  * Fix a segfault on Amd64 (closes: #329785)
  * Changed signature line in mail from gray to red as per suggestion from
    Adrian Knoth (closes: #323346)

 -- Adam Majer <adamm@zombino.com>  Tue, 25 Oct 2005 15:58:05 -0500
