## lpe 1.2.6.13-0.1

=== debian/changelog ===
lpe (1.2.6.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update French program translation (Closes: #298069)
  * Make the program use user's locale (Closes: #265463)
  * Fix French and German manpages (Closes: #350178)

 -- Thomas Huriaux <thomas.huriaux@gmail.com>  Sat, 27 Jan 2007 14:06:42 +0100
