=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 ## debian/rules for LPE
-## by Gergely Nagy <algernon@debian.org>
+## (original by Gergely Nagy <algernon@debian.org> but now all changed :)
 
 PACKAGE = lpe
 PKGDIR	= ${CURDIR}/debian/${PACKAGE}
@@ -15,18 +15,8 @@
 
 default: build
 
-bootstrap: bootstrap-stamp
-bootstrap-stamp:
-#	rm -f ltconfig
-#	libtoolize --force --copy
-#	aclocal
-#	autoconf
-#	cp /usr/share/misc/config.sub /usr/share/misc/config.guess \
-#	   ./
-	touch bootstrap-stamp
-
 config: config-stamp
-config-stamp: bootstrap-stamp
+config-stamp:
 	$(testdir)
 	CFLAGS="${CFLAGS}" ./configure  --prefix=/usr \
 					--mandir=/usr/share/man \
@@ -44,7 +34,6 @@
 	rm -rf debian/${PACKAGE}.substvars ${PKGDIR} debian/files \
 	       config-stamp patch-stamp bootstrap-stamp \
 	       debian/patched config.cache autom4te.cache
-#	rm ltmain.sh aclocal.m4 configure config.sub config.guess ltconfig
 
 clean1:
 	$(testdir)
