## lpe 1.2.7

=== debian/changelog ===
lpe (1.2.7-2ubuntu3) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:47:04 +0000

lpe (1.2.7-2ubuntu2) vivid; urgency=medium

  * Remove directory mess that was created accidentally.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 29 Dec 2014 03:19:02 -0500

lpe (1.2.7-2ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 29 Dec 2014 02:54:32 -0500

lpe (1.2.7-2) unstable; urgency=medium

  * Fix an off-by-1 buffer overflow. (closes: #773818)

 -- Adam Majer <adamm@zombino.com>  Tue, 23 Dec 2014 09:09:19 -0600

lpe (1.2.7-1) unstable; urgency=low

  * Incorporate translation changes. Thank you.
  * Fix FTBFS caused by spaces in autoconf generated Makefile (closes: #749361)
  * Fix a crash caused by buffer overflow when assuming that input
    pathnames are only of certain, fixed length. Use dynamic allocations
    instead. (closes: #716507)

 -- Adam Majer <adamm@zombino.com>  Mon, 23 Jun 2014 13:55:57 -0500
