=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lpe
 Section: editors
 Priority: optional
-Maintainer: Adam Majer <adamm@galacticasoftware.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
 Standards-Version: 3.6.1
 Build-Depends: libslang2-dev, autotools-dev, gettext, libncurses5-dev
