=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 config: config-stamp
 config-stamp:
 	$(testdir)
+	cp -f /usr/share/misc/config.sub .
+	cp -f /usr/share/misc/config.guess .
 	CFLAGS="${CFLAGS}" ./configure  --prefix=/usr \
 					--mandir=/usr/share/man \
 					--infodir=/usr/share/info \
@@ -33,7 +35,9 @@
 clean: clean1
 	rm -rf debian/${PACKAGE}.substvars ${PKGDIR} debian/files \
 	       config-stamp patch-stamp bootstrap-stamp \
-	       debian/patched config.cache autom4te.cache
+	       debian/patched config.cache autom4te.cache \
+	       po/*.gmo data/conv.slc data/init.slc po/lpe.pot \
+	       config.sub config.guess
 
 clean1:
 	$(testdir)
