## lpe 1.2.8

=== debian/changelog ===
lpe (1.2.8-2) unstable; urgency=medium

  * Fix too specific paths in dh_install file

 -- Adam Majer <adamm@zombino.com>  Sat, 30 Jan 2016 22:39:29 -0600

lpe (1.2.8-1) unstable; urgency=medium

  * New upstream release
     + remove `buf_overflow_fix` patch - upstreamed
     + `makefile_space_fix` patch no longer needed
  * debian/rules now use debhelper
  * debian/copyright is updated to machine readable format
  * Provides virtual package editor (closes: #398750)
  * Use dh-autoreconf to regenerate config files, if needed
    (closes: #534819)
  * Updated upstream homepage to my public github repository.

 -- Adam Majer <adamm@zombino.com>  Sat, 30 Jan 2016 17:06:41 -0600
