=== debian/control ===
Source: lpe
Section: editors
Priority: optional
Maintainer: Adam Majer <adamm@zombino.com>
Standards-Version: 3.9.6
Homepage: https://github.com/AdamMajer/lpe
Build-Depends: debhelper (>>9), libslang2-dev, dh-autoreconf, gettext, libncurses5-dev

Package: lpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Description: Lightweight Programmer's Editor
 lpe stands for "lightweight programmer's editor", and is exactly that.
 It is designed to provide at the same time all the features that might
 be required in a decent code editor and a light, intuitive feel that
 makes it a pleasure to work with, making all necessary commands
 accessible as easily as possible.
